Develop and Download Open Source Software

Browse Subversion Repository

Contents of /trunk/lfsbook/Makefile.in

Parent Directory Parent Directory | Revision Log Revision Log


Revision 1342 - (show annotations) (download)
Mon Jan 4 13:29:06 2021 UTC (3 years, 3 months ago) by matsuand
File size: 25078 byte(s)
[LFS-SVN] Automake-1.16.3 対応。
1 # Makefile.in generated by automake 1.16.3 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2020 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16 VPATH = @srcdir@
17 am__is_gnu_make = { \
18 if test -z '$(MAKELEVEL)'; then \
19 false; \
20 elif test -n '$(MAKE_HOST)'; then \
21 true; \
22 elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
23 true; \
24 else \
25 false; \
26 fi; \
27 }
28 am__make_running_with_option = \
29 case $${target_option-} in \
30 ?) ;; \
31 *) echo "am__make_running_with_option: internal error: invalid" \
32 "target option '$${target_option-}' specified" >&2; \
33 exit 1;; \
34 esac; \
35 has_opt=no; \
36 sane_makeflags=$$MAKEFLAGS; \
37 if $(am__is_gnu_make); then \
38 sane_makeflags=$$MFLAGS; \
39 else \
40 case $$MAKEFLAGS in \
41 *\\[\ \ ]*) \
42 bs=\\; \
43 sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
44 | sed "s/$$bs$$bs[$$bs $$bs ]*//g"`;; \
45 esac; \
46 fi; \
47 skip_next=no; \
48 strip_trailopt () \
49 { \
50 flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
51 }; \
52 for flg in $$sane_makeflags; do \
53 test $$skip_next = yes && { skip_next=no; continue; }; \
54 case $$flg in \
55 *=*|--*) continue;; \
56 -*I) strip_trailopt 'I'; skip_next=yes;; \
57 -*I?*) strip_trailopt 'I';; \
58 -*O) strip_trailopt 'O'; skip_next=yes;; \
59 -*O?*) strip_trailopt 'O';; \
60 -*l) strip_trailopt 'l'; skip_next=yes;; \
61 -*l?*) strip_trailopt 'l';; \
62 -[dEDm]) skip_next=yes;; \
63 -[JT]) skip_next=yes;; \
64 esac; \
65 case $$flg in \
66 *$$target_option*) has_opt=yes; break;; \
67 esac; \
68 done; \
69 test $$has_opt = yes
70 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
71 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
72 pkgdatadir = $(datadir)/@PACKAGE@
73 pkgincludedir = $(includedir)/@PACKAGE@
74 pkglibdir = $(libdir)/@PACKAGE@
75 pkglibexecdir = $(libexecdir)/@PACKAGE@
76 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
77 install_sh_DATA = $(install_sh) -c -m 644
78 install_sh_PROGRAM = $(install_sh) -c
79 install_sh_SCRIPT = $(install_sh) -c
80 INSTALL_HEADER = $(INSTALL_DATA)
81 transform = $(program_transform_name)
82 NORMAL_INSTALL = :
83 PRE_INSTALL = :
84 POST_INSTALL = :
85 NORMAL_UNINSTALL = :
86 PRE_UNINSTALL = :
87 POST_UNINSTALL = :
88 subdir = .
89 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
90 am__aclocal_m4_deps = $(top_srcdir)/version.ac \
91 $(top_srcdir)/m4/progs.m4 \
92 $(top_srcdir)/m4/ax_compare_version.m4 \
93 $(top_srcdir)/m4/ac_check_docbook_xslt.m4 \
94 $(top_srcdir)/m4/ac_check_docbook_dtd.m4 \
95 $(top_srcdir)/m4/ac_check_takaofontdir.m4 \
96 $(top_srcdir)/m4/ac_check_rev.m4 $(top_srcdir)/configure.ac
97 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
98 $(ACLOCAL_M4)
99 DIST_COMMON = $(srcdir)/Makefile.am $(top_srcdir)/configure \
100 $(am__configure_deps) $(am__DIST_COMMON)
101 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
102 configure.lineno config.status.lineno
103 mkinstalldirs = $(install_sh) -d
104 CONFIG_CLEAN_FILES =
105 CONFIG_CLEAN_VPATH_FILES =
106 AM_V_P = $(am__v_P_@AM_V@)
107 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
108 am__v_P_0 = false
109 am__v_P_1 = :
110 AM_V_GEN = $(am__v_GEN_@AM_V@)
111 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
112 am__v_GEN_0 = @echo " GEN " $@;
113 am__v_GEN_1 =
114 AM_V_at = $(am__v_at_@AM_V@)
115 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
116 am__v_at_0 = @
117 am__v_at_1 =
118 SOURCES =
119 DIST_SOURCES =
120 RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
121 ctags-recursive dvi-recursive html-recursive info-recursive \
122 install-data-recursive install-dvi-recursive \
123 install-exec-recursive install-html-recursive \
124 install-info-recursive install-pdf-recursive \
125 install-ps-recursive install-recursive installcheck-recursive \
126 installdirs-recursive pdf-recursive ps-recursive \
127 tags-recursive uninstall-recursive
128 am__can_run_installinfo = \
129 case $$AM_UPDATE_INFO_DIR in \
130 n|no|NO) false;; \
131 *) (install-info --version) >/dev/null 2>&1;; \
132 esac
133 RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
134 distclean-recursive maintainer-clean-recursive
135 am__recursive_targets = \
136 $(RECURSIVE_TARGETS) \
137 $(RECURSIVE_CLEAN_TARGETS) \
138 $(am__extra_recursive_targets)
139 AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
140 cscope distdir distdir-am dist dist-all distcheck
141 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
142 # Read a list of newline-separated strings from the standard input,
143 # and print each of them once, without duplicates. Input order is
144 # *not* preserved.
145 am__uniquify_input = $(AWK) '\
146 BEGIN { nonempty = 0; } \
147 { items[$$0] = 1; nonempty = 1; } \
148 END { if (nonempty) { for (i in items) print i; }; } \
149 '
150 # Make sure the list of sources is unique. This is necessary because,
151 # e.g., the same source file might be shared among _SOURCES variables
152 # for different programs/libraries.
153 am__define_uniq_tagged_files = \
154 list='$(am__tagged_files)'; \
155 unique=`for i in $$list; do \
156 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
157 done | $(am__uniquify_input)`
158 ETAGS = etags
159 CTAGS = ctags
160 CSCOPE = cscope
161 DIST_SUBDIRS = $(SUBDIRS)
162 am__DIST_COMMON = $(srcdir)/Makefile.in AUTHORS COPYING ChangeLog \
163 INSTALL NEWS README compile depcomp install-sh missing
164 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
165 distdir = $(PACKAGE)-$(VERSION)
166 top_distdir = $(distdir)
167 am__remove_distdir = \
168 if test -d "$(distdir)"; then \
169 find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
170 && rm -rf "$(distdir)" \
171 || { sleep 5 && rm -rf "$(distdir)"; }; \
172 else :; fi
173 am__post_remove_distdir = $(am__remove_distdir)
174 am__relativize = \
175 dir0=`pwd`; \
176 sed_first='s,^\([^/]*\)/.*$$,\1,'; \
177 sed_rest='s,^[^/]*/*,,'; \
178 sed_last='s,^.*/\([^/]*\)$$,\1,'; \
179 sed_butlast='s,/*[^/]*$$,,'; \
180 while test -n "$$dir1"; do \
181 first=`echo "$$dir1" | sed -e "$$sed_first"`; \
182 if test "$$first" != "."; then \
183 if test "$$first" = ".."; then \
184 dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
185 dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
186 else \
187 first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
188 if test "$$first2" = "$$first"; then \
189 dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
190 else \
191 dir2="../$$dir2"; \
192 fi; \
193 dir0="$$dir0"/"$$first"; \
194 fi; \
195 fi; \
196 dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
197 done; \
198 reldir="$$dir2"
199 DIST_ARCHIVES = $(distdir).tar.gz
200 GZIP_ENV = --best
201 DIST_TARGETS = dist-gzip
202 # Exists only to be overridden by the user if desired.
203 AM_DISTCHECK_DVI_TARGET = dvi
204 distuninstallcheck_listfiles = find . -type f -print
205 am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
206 | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
207 distcleancheck_listfiles = find . -type f -print
208 ACLOCAL = @ACLOCAL@
209 AMTAR = @AMTAR@
210 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
211 AUTOCONF = @AUTOCONF@
212 AUTOHEADER = @AUTOHEADER@
213 AUTOMAKE = @AUTOMAKE@
214 AWK = @AWK@
215 BASEDIR = @BASEDIR@
216 CC = @CC@
217 CCDEPMODE = @CCDEPMODE@
218 CFLAGS = @CFLAGS@
219 CPPFLAGS = @CPPFLAGS@
220 CTIE = @CTIE@
221 CYGPATH_W = @CYGPATH_W@
222 DEFS = @DEFS@
223 DEPDIR = @DEPDIR@
224 DUMPDIR = @DUMPDIR@
225 ECHO_C = @ECHO_C@
226 ECHO_N = @ECHO_N@
227 ECHO_T = @ECHO_T@
228 EXEEXT = @EXEEXT@
229 FOP = @FOP@
230 INSTALL = @INSTALL@
231 INSTALL_DATA = @INSTALL_DATA@
232 INSTALL_PROGRAM = @INSTALL_PROGRAM@
233 INSTALL_SCRIPT = @INSTALL_SCRIPT@
234 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
235 LDFLAGS = @LDFLAGS@
236 LIBOBJS = @LIBOBJS@
237 LIBS = @LIBS@
238 LTLIBOBJS = @LTLIBOBJS@
239 LYNX = @LYNX@
240 MAINT = @MAINT@
241 MAKEINFO = @MAKEINFO@
242 MKDIR_P = @MKDIR_P@
243 NOCHUNKS_NAME = @NOCHUNKS_NAME@
244 NOCHUNKS_OUTPUT = @NOCHUNKS_OUTPUT@
245 OBJEXT = @OBJEXT@
246 PACKAGE = @PACKAGE@
247 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
248 PACKAGE_NAME = @PACKAGE_NAME@
249 PACKAGE_STRING = @PACKAGE_STRING@
250 PACKAGE_TARNAME = @PACKAGE_TARNAME@
251 PACKAGE_URL = @PACKAGE_URL@
252 PACKAGE_VERSION = @PACKAGE_VERSION@
253 PATH_SEPARATOR = @PATH_SEPARATOR@
254 PDF = @PDF@
255 PDF_OUTPUT = @PDF_OUTPUT@
256 SET_MAKE = @SET_MAKE@
257 SHELL = @SHELL@
258 STRIP = @STRIP@
259 SVNVER = @SVNVER@
260 TAKAO = @TAKAO@
261 TAKAOGEXFILE = @TAKAOGEXFILE@
262 TAKAOGFILE = @TAKAOGFILE@
263 TAKAOGFONTDIR = @TAKAOGFONTDIR@
264 TAKAOMFILE = @TAKAOMFILE@
265 TAKAOMFONTDIR = @TAKAOMFONTDIR@
266 TIDY = @TIDY@
267 TXT = @TXT@
268 VERSION = @VERSION@
269 XMLLINT = @XMLLINT@
270 XSLTPROC = @XSLTPROC@
271 abs_bookdir = @abs_bookdir@
272 abs_builddir = @abs_builddir@
273 abs_srcdir = @abs_srcdir@
274 abs_top_builddir = @abs_top_builddir@
275 abs_top_srcdir = @abs_top_srcdir@
276 ac_ct_CC = @ac_ct_CC@
277 am__include = @am__include@
278 am__leading_dot = @am__leading_dot@
279 am__quote = @am__quote@
280 am__tar = @am__tar@
281 am__untar = @am__untar@
282 bindir = @bindir@
283 bookdir = @bookdir@
284 build_alias = @build_alias@
285 builddir = @builddir@
286 datadir = @datadir@
287 datarootdir = @datarootdir@
288 docdir = @docdir@
289 dvidir = @dvidir@
290 exec_prefix = @exec_prefix@
291 host_alias = @host_alias@
292 htmldir = @htmldir@
293 includedir = @includedir@
294 infodir = @infodir@
295 install_sh = @install_sh@
296 libdir = @libdir@
297 libexecdir = @libexecdir@
298 localedir = @localedir@
299 localstatedir = @localstatedir@
300 mandir = @mandir@
301 mkdir_p = @mkdir_p@
302 oldincludedir = @oldincludedir@
303 pdfdir = @pdfdir@
304 prefix = @prefix@
305 program_transform_name = @program_transform_name@
306 psdir = @psdir@
307 revspec = @revspec@
308 runstatedir = @runstatedir@
309 sbindir = @sbindir@
310 sharedstatedir = @sharedstatedir@
311 srcdir = @srcdir@
312 sysconfdir = @sysconfdir@
313 target_alias = @target_alias@
314 top_build_prefix = @top_build_prefix@
315 top_builddir = @top_builddir@
316 top_srcdir = @top_srcdir@
317 SUBDIRS = ctie src
318 EXTRA_DIST = INSTALL.utf8 version.ac
319 all: all-recursive
320
321 .SUFFIXES:
322 am--refresh: Makefile
323 @:
324 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(am__configure_deps)
325 @for dep in $?; do \
326 case '$(am__configure_deps)' in \
327 *$$dep*) \
328 echo ' cd $(srcdir) && $(AUTOMAKE) --gnu'; \
329 $(am__cd) $(srcdir) && $(AUTOMAKE) --gnu \
330 && exit 0; \
331 exit 1;; \
332 esac; \
333 done; \
334 echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu Makefile'; \
335 $(am__cd) $(top_srcdir) && \
336 $(AUTOMAKE) --gnu Makefile
337 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
338 @case '$?' in \
339 *config.status*) \
340 echo ' $(SHELL) ./config.status'; \
341 $(SHELL) ./config.status;; \
342 *) \
343 echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__maybe_remake_depfiles)'; \
344 cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__maybe_remake_depfiles);; \
345 esac;
346
347 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
348 $(SHELL) ./config.status --recheck
349
350 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
351 $(am__cd) $(srcdir) && $(AUTOCONF)
352 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
353 $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
354 $(am__aclocal_m4_deps):
355
356 # This directory's subdirectories are mostly independent; you can cd
357 # into them and run 'make' without going through this Makefile.
358 # To change the values of 'make' variables: instead of editing Makefiles,
359 # (1) if the variable is set in 'config.status', edit 'config.status'
360 # (which will cause the Makefiles to be regenerated when you run 'make');
361 # (2) otherwise, pass the desired values on the 'make' command line.
362 $(am__recursive_targets):
363 @fail=; \
364 if $(am__make_keepgoing); then \
365 failcom='fail=yes'; \
366 else \
367 failcom='exit 1'; \
368 fi; \
369 dot_seen=no; \
370 target=`echo $@ | sed s/-recursive//`; \
371 case "$@" in \
372 distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
373 *) list='$(SUBDIRS)' ;; \
374 esac; \
375 for subdir in $$list; do \
376 echo "Making $$target in $$subdir"; \
377 if test "$$subdir" = "."; then \
378 dot_seen=yes; \
379 local_target="$$target-am"; \
380 else \
381 local_target="$$target"; \
382 fi; \
383 ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
384 || eval $$failcom; \
385 done; \
386 if test "$$dot_seen" = "no"; then \
387 $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
388 fi; test -z "$$fail"
389
390 ID: $(am__tagged_files)
391 $(am__define_uniq_tagged_files); mkid -fID $$unique
392 tags: tags-recursive
393 TAGS: tags
394
395 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
396 set x; \
397 here=`pwd`; \
398 if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
399 include_option=--etags-include; \
400 empty_fix=.; \
401 else \
402 include_option=--include; \
403 empty_fix=; \
404 fi; \
405 list='$(SUBDIRS)'; for subdir in $$list; do \
406 if test "$$subdir" = .; then :; else \
407 test ! -f $$subdir/TAGS || \
408 set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
409 fi; \
410 done; \
411 $(am__define_uniq_tagged_files); \
412 shift; \
413 if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
414 test -n "$$unique" || unique=$$empty_fix; \
415 if test $$# -gt 0; then \
416 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
417 "$$@" $$unique; \
418 else \
419 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
420 $$unique; \
421 fi; \
422 fi
423 ctags: ctags-recursive
424
425 CTAGS: ctags
426 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
427 $(am__define_uniq_tagged_files); \
428 test -z "$(CTAGS_ARGS)$$unique" \
429 || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
430 $$unique
431
432 GTAGS:
433 here=`$(am__cd) $(top_builddir) && pwd` \
434 && $(am__cd) $(top_srcdir) \
435 && gtags -i $(GTAGS_ARGS) "$$here"
436 cscope: cscope.files
437 test ! -s cscope.files \
438 || $(CSCOPE) -b -q $(AM_CSCOPEFLAGS) $(CSCOPEFLAGS) -i cscope.files $(CSCOPE_ARGS)
439 clean-cscope:
440 -rm -f cscope.files
441 cscope.files: clean-cscope cscopelist
442 cscopelist: cscopelist-recursive
443
444 cscopelist-am: $(am__tagged_files)
445 list='$(am__tagged_files)'; \
446 case "$(srcdir)" in \
447 [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
448 *) sdir=$(subdir)/$(srcdir) ;; \
449 esac; \
450 for i in $$list; do \
451 if test -f "$$i"; then \
452 echo "$(subdir)/$$i"; \
453 else \
454 echo "$$sdir/$$i"; \
455 fi; \
456 done >> $(top_builddir)/cscope.files
457
458 distclean-tags:
459 -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
460 -rm -f cscope.out cscope.in.out cscope.po.out cscope.files
461
462 distdir: $(BUILT_SOURCES)
463 $(MAKE) $(AM_MAKEFLAGS) distdir-am
464
465 distdir-am: $(DISTFILES)
466 $(am__remove_distdir)
467 test -d "$(distdir)" || mkdir "$(distdir)"
468 @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
469 topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
470 list='$(DISTFILES)'; \
471 dist_files=`for file in $$list; do echo $$file; done | \
472 sed -e "s|^$$srcdirstrip/||;t" \
473 -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
474 case $$dist_files in \
475 */*) $(MKDIR_P) `echo "$$dist_files" | \
476 sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
477 sort -u` ;; \
478 esac; \
479 for file in $$dist_files; do \
480 if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
481 if test -d $$d/$$file; then \
482 dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
483 if test -d "$(distdir)/$$file"; then \
484 find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
485 fi; \
486 if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
487 cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
488 find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
489 fi; \
490 cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
491 else \
492 test -f "$(distdir)/$$file" \
493 || cp -p $$d/$$file "$(distdir)/$$file" \
494 || exit 1; \
495 fi; \
496 done
497 @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
498 if test "$$subdir" = .; then :; else \
499 $(am__make_dryrun) \
500 || test -d "$(distdir)/$$subdir" \
501 || $(MKDIR_P) "$(distdir)/$$subdir" \
502 || exit 1; \
503 dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
504 $(am__relativize); \
505 new_distdir=$$reldir; \
506 dir1=$$subdir; dir2="$(top_distdir)"; \
507 $(am__relativize); \
508 new_top_distdir=$$reldir; \
509 echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
510 echo " am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
511 ($(am__cd) $$subdir && \
512 $(MAKE) $(AM_MAKEFLAGS) \
513 top_distdir="$$new_top_distdir" \
514 distdir="$$new_distdir" \
515 am__remove_distdir=: \
516 am__skip_length_check=: \
517 am__skip_mode_fix=: \
518 distdir) \
519 || exit 1; \
520 fi; \
521 done
522 -test -n "$(am__skip_mode_fix)" \
523 || find "$(distdir)" -type d ! -perm -755 \
524 -exec chmod u+rwx,go+rx {} \; -o \
525 ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
526 ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
527 ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
528 || chmod -R a+r "$(distdir)"
529 dist-gzip: distdir
530 tardir=$(distdir) && $(am__tar) | eval GZIP= gzip $(GZIP_ENV) -c >$(distdir).tar.gz
531 $(am__post_remove_distdir)
532
533 dist-bzip2: distdir
534 tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
535 $(am__post_remove_distdir)
536
537 dist-lzip: distdir
538 tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
539 $(am__post_remove_distdir)
540
541 dist-xz: distdir
542 tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
543 $(am__post_remove_distdir)
544
545 dist-zstd: distdir
546 tardir=$(distdir) && $(am__tar) | zstd -c $${ZSTD_CLEVEL-$${ZSTD_OPT--19}} >$(distdir).tar.zst
547 $(am__post_remove_distdir)
548
549 dist-tarZ: distdir
550 @echo WARNING: "Support for distribution archives compressed with" \
551 "legacy program 'compress' is deprecated." >&2
552 @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
553 tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
554 $(am__post_remove_distdir)
555
556 dist-shar: distdir
557 @echo WARNING: "Support for shar distribution archives is" \
558 "deprecated." >&2
559 @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
560 shar $(distdir) | eval GZIP= gzip $(GZIP_ENV) -c >$(distdir).shar.gz
561 $(am__post_remove_distdir)
562
563 dist-zip: distdir
564 -rm -f $(distdir).zip
565 zip -rq $(distdir).zip $(distdir)
566 $(am__post_remove_distdir)
567
568 dist dist-all:
569 $(MAKE) $(AM_MAKEFLAGS) $(DIST_TARGETS) am__post_remove_distdir='@:'
570 $(am__post_remove_distdir)
571
572 # This target untars the dist file and tries a VPATH configuration. Then
573 # it guarantees that the distribution is self-contained by making another
574 # tarfile.
575 distcheck: dist
576 case '$(DIST_ARCHIVES)' in \
577 *.tar.gz*) \
578 eval GZIP= gzip $(GZIP_ENV) -dc $(distdir).tar.gz | $(am__untar) ;;\
579 *.tar.bz2*) \
580 bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
581 *.tar.lz*) \
582 lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
583 *.tar.xz*) \
584 xz -dc $(distdir).tar.xz | $(am__untar) ;;\
585 *.tar.Z*) \
586 uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
587 *.shar.gz*) \
588 eval GZIP= gzip $(GZIP_ENV) -dc $(distdir).shar.gz | unshar ;;\
589 *.zip*) \
590 unzip $(distdir).zip ;;\
591 *.tar.zst*) \
592 zstd -dc $(distdir).tar.zst | $(am__untar) ;;\
593 esac
594 chmod -R a-w $(distdir)
595 chmod u+w $(distdir)
596 mkdir $(distdir)/_build $(distdir)/_build/sub $(distdir)/_inst
597 chmod a-w $(distdir)
598 test -d $(distdir)/_build || exit 0; \
599 dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
600 && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
601 && am__cwd=`pwd` \
602 && $(am__cd) $(distdir)/_build/sub \
603 && ../../configure \
604 $(AM_DISTCHECK_CONFIGURE_FLAGS) \
605 $(DISTCHECK_CONFIGURE_FLAGS) \
606 --srcdir=../.. --prefix="$$dc_install_base" \
607 && $(MAKE) $(AM_MAKEFLAGS) \
608 && $(MAKE) $(AM_MAKEFLAGS) $(AM_DISTCHECK_DVI_TARGET) \
609 && $(MAKE) $(AM_MAKEFLAGS) check \
610 && $(MAKE) $(AM_MAKEFLAGS) install \
611 && $(MAKE) $(AM_MAKEFLAGS) installcheck \
612 && $(MAKE) $(AM_MAKEFLAGS) uninstall \
613 && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
614 distuninstallcheck \
615 && chmod -R a-w "$$dc_install_base" \
616 && ({ \
617 (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
618 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
619 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
620 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
621 distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
622 } || { rm -rf "$$dc_destdir"; exit 1; }) \
623 && rm -rf "$$dc_destdir" \
624 && $(MAKE) $(AM_MAKEFLAGS) dist \
625 && rm -rf $(DIST_ARCHIVES) \
626 && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
627 && cd "$$am__cwd" \
628 || exit 1
629 $(am__post_remove_distdir)
630 @(echo "$(distdir) archives ready for distribution: "; \
631 list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
632 sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
633 distuninstallcheck:
634 @test -n '$(distuninstallcheck_dir)' || { \
635 echo 'ERROR: trying to run $@ with an empty' \
636 '$$(distuninstallcheck_dir)' >&2; \
637 exit 1; \
638 }; \
639 $(am__cd) '$(distuninstallcheck_dir)' || { \
640 echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
641 exit 1; \
642 }; \
643 test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
644 || { echo "ERROR: files left after uninstall:" ; \
645 if test -n "$(DESTDIR)"; then \
646 echo " (check DESTDIR support)"; \
647 fi ; \
648 $(distuninstallcheck_listfiles) ; \
649 exit 1; } >&2
650 distcleancheck: distclean
651 @if test '$(srcdir)' = . ; then \
652 echo "ERROR: distcleancheck can only run from a VPATH build" ; \
653 exit 1 ; \
654 fi
655 @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
656 || { echo "ERROR: files left in build directory after distclean:" ; \
657 $(distcleancheck_listfiles) ; \
658 exit 1; } >&2
659 check-am: all-am
660 check: check-recursive
661 all-am: Makefile
662 installdirs: installdirs-recursive
663 installdirs-am:
664 install: install-recursive
665 install-exec: install-exec-recursive
666 install-data: install-data-recursive
667 uninstall: uninstall-recursive
668
669 install-am: all-am
670 @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
671
672 installcheck: installcheck-recursive
673 install-strip:
674 if test -z '$(STRIP)'; then \
675 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
676 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
677 install; \
678 else \
679 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
680 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
681 "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
682 fi
683 mostlyclean-generic:
684
685 clean-generic:
686
687 distclean-generic:
688 -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
689 -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
690
691 maintainer-clean-generic:
692 @echo "This command is intended for maintainers to use"
693 @echo "it deletes files that may require special tools to rebuild."
694 clean: clean-recursive
695
696 clean-am: clean-generic mostlyclean-am
697
698 distclean: distclean-recursive
699 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
700 -rm -f Makefile
701 distclean-am: clean-am distclean-generic distclean-tags
702
703 dvi: dvi-recursive
704
705 dvi-am:
706
707 html: html-recursive
708
709 html-am:
710
711 info: info-recursive
712
713 info-am:
714
715 install-data-am:
716
717 install-dvi: install-dvi-recursive
718
719 install-dvi-am:
720
721 install-exec-am:
722
723 install-html: install-html-recursive
724
725 install-html-am:
726
727 install-info: install-info-recursive
728
729 install-info-am:
730
731 install-man:
732
733 install-pdf: install-pdf-recursive
734
735 install-pdf-am:
736
737 install-ps: install-ps-recursive
738
739 install-ps-am:
740
741 installcheck-am:
742
743 maintainer-clean: maintainer-clean-recursive
744 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
745 -rm -rf $(top_srcdir)/autom4te.cache
746 -rm -f Makefile
747 maintainer-clean-am: distclean-am maintainer-clean-generic
748
749 mostlyclean: mostlyclean-recursive
750
751 mostlyclean-am: mostlyclean-generic
752
753 pdf: pdf-recursive
754
755 pdf-am:
756
757 ps: ps-recursive
758
759 ps-am:
760
761 uninstall-am:
762
763 .MAKE: $(am__recursive_targets) install-am install-strip
764
765 .PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am \
766 am--refresh check check-am clean clean-cscope clean-generic \
767 cscope cscopelist-am ctags ctags-am dist dist-all dist-bzip2 \
768 dist-gzip dist-lzip dist-shar dist-tarZ dist-xz dist-zip \
769 dist-zstd distcheck distclean distclean-generic distclean-tags \
770 distcleancheck distdir distuninstallcheck dvi dvi-am html \
771 html-am info info-am install install-am install-data \
772 install-data-am install-dvi install-dvi-am install-exec \
773 install-exec-am install-html install-html-am install-info \
774 install-info-am install-man install-pdf install-pdf-am \
775 install-ps install-ps-am install-strip installcheck \
776 installcheck-am installdirs installdirs-am maintainer-clean \
777 maintainer-clean-generic mostlyclean mostlyclean-generic pdf \
778 pdf-am ps ps-am tags tags-am uninstall uninstall-am
779
780 .PRECIOUS: Makefile
781
782
783 nochunks:
784 @$(MAKE) -C src nochunks
785
786 @TXT@txt:
787 @TXT@ @$(MAKE) -C src txt
788
789 # Tell versions [3.59,3.63) of GNU make to not export all variables.
790 # Otherwise a system limit (for SysV at least) may be exceeded.
791 .NOEXPORT:

Back to OSDN">Back to OSDN
ViewVC Help
Powered by ViewVC 1.1.26